Skip to content

Create Task flux-kontext-apps/multi-image-kontext-pro

POST https://www.kkiai.com/replicate/v1/models/flux-kontext-apps/multi-image-kontext-pro/predictions

Official documentation: https://replicate.com/flux-kontext-apps/multi-image-kontext-pro

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
inputobjectOptional
  └ promptstringRequiredText description of how to combine or transform the two input images.
  └ aspect_ratiostringOptionalThe aspect ratio of the generated image. Use "match_input_image" to match the aspect ratio of the input image. Default value: "match_input_image"
  └ input_image_1stringRequiredThe first input image. Must be in jpeg, png, gif, or webp format.
  └ input_image_2stringRequiredThe second input image. Must be in jpeg, png, gif, or webp format.
  └ output_formatstringOptionalThe output format of the generated image. Default value: "png".
  └ safety_toleranceintegerOptionalSafety tolerance, 0 is the strictest, 2 is the most lenient. 2 is currently the maximum allowed value. Default value: 2.

Request Example

json
{
    "input": {
      "prompt": "Put the woman next to the house",
      "aspect_ratio": "match_input_image",
      "input_image_1": "https://replicate.delivery/pbxt/N7gRAUNcVF6HarL0hdAQA2JYNMlJD52LP1wyaIWRUXWeHzqT/0_1-1.webp",
      "input_image_2": "https://replicate.delivery/pbxt/N7gRAK5kbPwdsbOpqgyAIOFQX45U6suTlbL6ws2N74SnGFpo/test.jpg",
      "output_format": "png",
      "safety_tolerance": 2
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/flux-kontext-apps/multi-image-kontext-pro/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "prompt": "Put the woman next to the house",
      "aspect_ratio": "match_input_image",
      "input_image_1": "https://replicate.delivery/pbxt/N7gRAUNcVF6HarL0hdAQA2JYNMlJD52LP1wyaIWRUXWeHzqT/0_1-1.webp",
      "input_image_2": "https://replicate.delivery/pbxt/N7gRAK5kbPwdsbOpqgyAIOFQX45U6suTlbL6ws2N74SnGFpo/test.jpg",
      "output_format": "png",
      "safety_tolerance": 2
    }
  }'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
idstringRequired
modelstringRequired
versionstringRequired
inputobjectRequired
  └ aspect_ratiostringRequired
  └ input_imagestringRequired
  └ output_formatstringRequired
  └ promptstringRequired
  └ prompt_upsamplingbooleanRequired
  └ safety_toleranceintegerRequired
logsstringRequired
outputnullRequired
data_removedbooleanRequired
errornullRequired
statusstringRequired
created_atstringRequired
urlsobjectRequired
  └ cancelstringRequired
  └ getstringRequired
  └ streamstringRequired
  └ webstringRequired

Response Example

json
{
    "id": "26t3agjpx9rme0crb4es5cbxx4",
    "model": "flux-kontext-apps/multi-image-kontext-pro",
    "version": "hidden",
    "input": {
        "aspect_ratio": "match_input_image",
        "input_image_1": "https://replicate.delivery/pbxt/N7gRAUNcVF6HarL0hdAQA2JYNMlJD52LP1wyaIWRUXWeHzqT/0_1-1.webp",
        "input_image_2": "https://replicate.delivery/pbxt/N7gRAK5kbPwdsbOpqgyAIOFQX45U6suTlbL6ws2N74SnGFpo/test.jpg",
        "output_format": "png",
        "prompt": "Put the woman next to the house",
        "safety_tolerance": 2
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-30T02:15:51.786Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/26t3agjpx9rme0crb4es5cbxx4/cancel",
        "get": "https://api.replicate.com/v1/predictions/26t3agjpx9rme0crb4es5cbxx4",
        "stream": "https://stream.replicate.com/v1/files/bcwr-5cw3763ksezvhhtvt4n5ztxeywdagdmyes4uphs7ud3n65mftzba",
        "web": "https://replicate.com/p/26t3agjpx9rme0crb4es5cbxx4"
    }
}